import React, { Component } from 'react';
import PropTypes from 'prop-types';
import TableContainer from './../common/TableContainer';
import './../device.scss';

/**
 * 我的设备
 */
class PrivateDevice extends Component {
  constructor(props) {
    super(props);
    this.state = {
      protocolOptions: [],
      protocolToValue: []
    };
  }

  componentDidMount() {

  }

  componentWillReceiveProps(nextProps){

  }

  render() {
    return (
      <div className='tabs-inside'>
        <TableContainer isDel {...this.props} />
      </div>
    );
  }
}

PrivateDevice.propTypes = {
  criterias: PropTypes.object,
  visibility: PropTypes.string,
  communityOptions: PropTypes.array,
  optionsToValue: PropTypes.array,
  dataList: PropTypes.object
};

export default PrivateDevice;
